org.icefaces.ace.component.tableconfigpanel

## Class TableConfigPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.tableconfigpanel.TableConfigPanelRenderer

- All Implemented Interfaces:
    DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>

      public class TableConfigPanelRenderer
      extends CoreRenderer
      implements DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TableConfigPanelRenderer.TableConfigPanelRenderState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableConfigPanelRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChildrenTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `afterSpanTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `afterStackedTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `afterSubtreeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `afterTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeChildrenTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `beforeSpanTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `beforeStackedTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `beforeSubtreeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `columnTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeBegin, encodeChildren, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableConfigPanelRenderer

          public TableConfigPanelRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### beforeTraversal

          public void beforeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                      DepthFirstHeadTraversal.Quantity level)
                               throws java.io.IOException

      Specified by:
        `beforeTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### afterTraversal

          public void afterTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                     DepthFirstHeadTraversal.Quantity level)
                              throws java.io.IOException

      Specified by:
        `afterTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### beforeSubtreeTraversal

          public void beforeSubtreeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                             DepthFirstHeadTraversal.Quantity level)
                                      throws java.io.IOException

      Specified by:
        `beforeSubtreeTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### afterSubtreeTraversal

          public void afterSubtreeTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                            DepthFirstHeadTraversal.Quantity level)
                                     throws java.io.IOException

      Specified by:
        `afterSubtreeTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### beforeSpanTraversal

          public void beforeSpanTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                          DepthFirstHeadTraversal.Quantity level,
                                          java.util.List<Column> columns,
                                          java.util.List<Column> correspondingColumns,
                                          int headerIndex,
                                          int bodyIndex)
                                   throws java.io.IOException

      Specified by:
        `beforeSpanTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### afterSpanTraversal

          public void afterSpanTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                         DepthFirstHeadTraversal.Quantity level,
                                         java.util.List<Column> columns,
                                         java.util.List<Column> correspondingColumns,
                                         int headerIndex,
                                         int bodyIndex)
                                  throws java.io.IOException

      Specified by:
        `afterSpanTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### beforeStackedTraversal

          public void beforeStackedTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                             DepthFirstHeadTraversal.Quantity level,
                                             Column column,
                                             Column correspondingColumn,
                                             int headerIndex,
                                             int bodyIndex,
                                             int stackedIndex)
                                      throws java.io.IOException

      Specified by:
        `beforeStackedTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### afterStackedTraversal

          public void afterStackedTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                            DepthFirstHeadTraversal.Quantity level,
                                            Column column,
                                            Column correspondingColumn,
                                            int headerIndex,
                                            int bodyIndex,
                                            int stackedIndex)
                                     throws java.io.IOException

      Specified by:
        `afterStackedTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### columnTraversal

          public void columnTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                      DepthFirstHeadTraversal.Quantity level,
                                      Column column,
                                      Column correspondingColumn,
                                      int headerIndex,
                                      int bodyIndex,
                                      int stackedIndex)
                               throws java.io.IOException

      Specified by:
        `columnTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### beforeChildrenTraversal

          public void beforeChildrenTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                              DepthFirstHeadTraversal.Quantity level,
                                              java.util.List<Column> columns,
                                              java.util.List<Column> correspondingColumns)
                                       throws java.io.IOException

      Specified by:
        `beforeChildrenTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### afterChildrenTraversal

          public void afterChildrenTraversal(TableConfigPanelRenderer.TableConfigPanelRenderState state,
                                             DepthFirstHeadTraversal.Quantity level,
                                             java.util.List<Column> columns,
                                             java.util.List<Column> correspondingColumns)
                                      throws java.io.IOException

      Specified by:
        `afterChildrenTraversal` in interface `DepthFirstHeadTraversal.Callback<TableConfigPanelRenderer.TableConfigPanelRenderState,java.io.IOException>`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.